Package com.xebialabs.xlrelease.domain.calendar

## Class Blackout

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.calendar.CalendarEntry
    - - com.xebialabs.xlrelease.domain.calendar.Blackout

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(description="Blackout date period in which no tasks should start execution",
                versioned=false,
                root=CONFIGURATION)
      public class Blackout
      extends CalendarEntry

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.calendar.CalendarEntry

      `endDate, label, startDate`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Blackout()` |
    `Blackout​(java.lang.String label, java.util.Date startDate, java.util.Date endDate)` |

  - ### Method Summary

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.calendar.CalendarEntry

      `getEndDate, getLabel, getStartDate, setEndDate, setLabel, setStartDate`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Blackout

          public Blackout()

    - #### Blackout

          public Blackout​(java.lang.String label,
                          java.util.Date startDate,
                          java.util.Date endDate)